### org.jfree.layouting.renderer.text

# Class DefaultExtendedBaselineInfo

- `java.lang.Object`
- - `org.jfree.layouting.renderer.text.DefaultExtendedBaselineInfo`

Implemented Interfaces:
  ExtendedBaselineInfo

`public class DefaultExtendedBaselineInfo`
`extends java.lang.Object`
`implements ExtendedBaselineInfo`

Creation-Date: 24.07.2006, 17:35:25

Author:
  Thomas Morgner

  ### Fields inherited from interface org.jfree.layouting.renderer.text.ExtendedBaselineInfo

  `AFTER_EDGE`, `ALPHABETHIC`, `BASELINE_COUNT`, `BEFORE_EDGE`, `CENTRAL`, `HANGING`, `IDEOGRAPHIC`, `MATHEMATICAL`, `MIDDLE`, `TEXT_AFTER_EDGE`, `TEXT_BEFORE_EDGE`

  ## Constructor Summary

  `DefaultExtendedBaselineInfo(int dominantBaseline)`

  ## Method Summary

  `long`

  `getBaseline(int baseline)`

  `long[]`

  `getBaselines()`

  `int`

  `getDominantBaseline()`

  `void`

  `setBaselines(long[] baselines)`

  `ExtendedBaselineInfo`

  `shift(long s)`

## Constructor Details

### DefaultExtendedBaselineInfo

    public DefaultExtendedBaselineInfo(int dominantBaseline)

## Method Details

### getBaseline

    public long getBaseline(int baseline)

> Specified by:
>   getBaseline in interface ExtendedBaselineInfo

### getBaselines

    public long[] getBaselines()

> Specified by:
>   getBaselines in interface ExtendedBaselineInfo

### getDominantBaseline

    public int getDominantBaseline()

> Specified by:
>   getDominantBaseline in interface ExtendedBaselineInfo

### setBaselines

    public void setBaselines(long[] baselines)

### shift

    public ExtendedBaselineInfo shift(long s)

> Specified by:
>   shift in interface ExtendedBaselineInfo